İş Paketi siparişinde %30 indirim kazanın burada Buraya Tıklayın
Uygulam click on the icon in the top right of the address bar.

Bildirim işleyicileri

GET https://uptimer24.com/api/notification-handlers/
curl --request GET \
--url 'https://uptimer24.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
Parametreler Detaylar Açıklama
search İsteğe bağlı Dize Arama dizesi.
search_by İsteğe bağlı Dize Hangi alanda arama yapıyorsunuz. İzin verilen değerler: name.
is_enabled İsteğe bağlı Boolean
type İsteğe bağlı Dize Hangi alanda arama yapıyorsunuz. İzin verilen değerler: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, internal_notification, push_subscriber_id.
datetime_field İsteğe bağlı Dize İzin verilen değerler: datetime, last_datetime
datetime_start İsteğe bağlı Dize Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end İsteğe bağlı Dize Filter results up to this datetime. Y-m-d H:i:s format.
order_by İsteğe bağlı Dize Sonuçları sıralamak için hangi alan kullanılacak. İzin verilen değerler: notification_handler_id, datetime, last_datetime, name.
order_type İsteğe bağlı Dize Sonuçların sıralanması. İzin verilen değerler: artan sıralama için ASC ve azalan sıralama için DESC.
page İsteğe bağlı Tamsayı Sonuçları istediğiniz sayfa numarası. Varsayılan olarak 1.
results_per_page İsteğe bağlı Tamsayı Sayfa başına kaç sonuç istediğinizi belirtin. İzin verilen değerler: 10, 25, 50, 100, 250, 500, 1000. Varsayılan olarak 25.
{
    "data": [
        {
            "id": 1,
            "type": "email",
            "name": "Work email",
            "settings": {
                "email": "[email protected]"
            },
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-07-19 04:21:31",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://uptimer24.com/api/notification-handlers?page=1",
        "last": "https://uptimer24.com/api/notification-handlers?page=1",
        "next": null,
        "prev": null,
        "self": "https://uptimer24.com/api/notification-handlers?page=1"
    }
}
GET https://uptimer24.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://uptimer24.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "email",
        "name": "Work email",
        "settings": {
            "email": "[email protected]"
        },
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-07-19 04:21:31",
    }
}
POST https://uptimer24.com/api/notification-handlers
Parametreler Detaylar Açıklama
name Gerekli Dize -
type Gerekli Dize İzin verilen değerler: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, internal_notification, push_subscriber_id
email İsteğe bağlı Dize Mevcut olduğunda: type = email E-posta
webhook İsteğe bağlı Dize Mevcut olduğunda: type = webhook Webhook URL
slack İsteğe bağlı Dize Mevcut olduğunda: type = slack Slack webhook URL'si
discord İsteğe bağlı Dize Mevcut olduğunda: type = discord Discord webhook URL'si
telegram İsteğe bağlı Dize Mevcut olduğunda: type = telegram Telegram API Jetonu
telegram_chat_id İsteğe bağlı Dize Mevcut olduğunda: type = telegram Telegram Sohbet Kimliği
microsoft_teams İsteğe bağlı Dize Mevcut olduğunda: type = microsoft_teams Microsoft Teams webhook URL
google_chat İsteğe bağlı Dize Mevcut olduğunda: type = google_chat Google chat webhook URL
x_consumer_key İsteğe bağlı Dize Mevcut olduğunda: type = x Telegram API Jetonu
x_consumer_secret İsteğe bağlı Dize Mevcut olduğunda: type = x Telegram API Jetonu
x_access_token İsteğe bağlı Dize Mevcut olduğunda: type = x Telegram API Jetonu
x_access_token_secret İsteğe bağlı Dize Mevcut olduğunda: type = x Telegram API Jetonu
push_subscriber_id İsteğe bağlı Dize Mevcut olduğunda: type = push_subscriber_id Aboneyi zorla
curl --request POST \
--url 'https://uptimer24.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
    "data": {
        "id": 1
    }
}
POST https://uptimer24.com/api/notification-handlers/{notification_handler_id}
Parametreler Detaylar Açıklama
name İsteğe bağlı Dize -
type İsteğe bağlı Dize İzin verilen değerler: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, internal_notification, push_subscriber_id
email İsteğe bağlı Dize Mevcut olduğunda: type = email E-posta
webhook İsteğe bağlı Dize Mevcut olduğunda: type = webhook Webhook URL
slack İsteğe bağlı Dize Mevcut olduğunda: type = slack Slack webhook URL'si
discord İsteğe bağlı Dize Mevcut olduğunda: type = discord Discord webhook URL'si
telegram İsteğe bağlı Dize Mevcut olduğunda: type = telegram Telegram API Jetonu
telegram_chat_id İsteğe bağlı Dize Mevcut olduğunda: type = telegram Telegram Sohbet Kimliği
microsoft_teams İsteğe bağlı Dize Mevcut olduğunda: type = microsoft_teams Microsoft Teams webhook URL
google_chat İsteğe bağlı Dize Mevcut olduğunda: type = google_chat Google chat webhook URL
x_consumer_key İsteğe bağlı Dize Mevcut olduğunda: type = x Telegram API Jetonu
x_consumer_secret İsteğe bağlı Dize Mevcut olduğunda: type = x Telegram API Jetonu
x_access_token İsteğe bağlı Dize Mevcut olduğunda: type = x Telegram API Jetonu
x_access_token_secret İsteğe bağlı Dize Mevcut olduğunda: type = x Telegram API Jetonu
push_subscriber_id İsteğe bağlı Dize Mevcut olduğunda: type = push_subscriber_id Aboneyi zorla
is_enabled İsteğe bağlı Boolean -
curl --request POST \
--url 'https://uptimer24.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1
    }
}
DELETE https://uptimer24.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://uptimer24.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \